A past ideal Rated 5 out of 5 stars

It's a shame this addon is no longer supported or updated. It has been a fantastic addon for Firefox and if you still use an older version, it remains a must have. How often I've typed out a long message, only to accidentally close the tab or window, or navigate away. Lazarus saves you in that respect by recovering all you had lost.

Other addons sure try to do the same but not with the ease and automated efficiency of this. I can only wish a new version comes along, either as a fork or through the original developer, if they're OK.

ein großer Verlust Rated 5 out of 5 stars

Vermisse die App sehr. Hoffe, es gibt bald ein Upgrade oder Ersatz.

not work fake lazarus from do not download Rated 1 out of 5 stars

fake

This user has a previous review of this add-on.

I will rate it 5 star as it deserves that, still works on 52 esr Rated 5 out of 5 stars

People calling idiot are themself idiots. It's mozilla's fault that they broke all these addons without giving any alternative.

This reviews are not just to write if the addon works on latest version or not. The developer made a great piece of software that are nobody else did, nothing that actually works. So, it deserves 5 star.

I am still using it with esr. So, it deserves 5 star. It's not nostalgia you idiot.

Somebody also started crowdfunding. Try to contribute if you can instead of commenting:

* https://github.com/lazarus-recovery/original_ff/issues/2#issuecomment-327317266
* https://www.reddit.com/r/firefox/comments/6yezci/crowdfunding_to_bring_back_lazarus_recovery_with/

No work!!! Update please. Rated 1 out of 5 stars

No work!!! Update please.

Does not work with Firefox v.55.03 (64 bit) Rated 1 out of 5 stars

Needs to be upgraded to work with CURRENT version of Firefox. Pointless/useless software otherwise. Could not trial in order to comment on usability. Lazarus... please come back. We need you!

Stop Rating this 5 stars Rated 1 out of 5 stars

Stop Rating this 5 stars you idiot, on the basis that you want the extension to be supported again, when clearly it is dead and has been for YEARS now! It doesn't work anymore, get over it. Partially working on older versions of FF and definitely broken on newer and newest versions of FF. This is not what the rating system is for and you are abusing it because this skews the rating. Lazarus doesn't work and development has been abandoned, that is why it deserves 1 star.

This user has a previous review of this add-on.

Lazarus war eine große Hilfe Rated 5 out of 5 stars

Lazarus war eine große Hilfe in vielen Situationen. Leider verfolgt FF weiter und verstärkt die Politik der Arroganz. Früher war FF ein benutzerfreundlicher Browser, aber mit jeder neuen Vesion werden immer mehr Erweiterungen inkompatibel: ein Schlag ins Gesicht für alle ehrenamtlichen Entwickler, die zum großen Teil erst die Funktionen schreiben, die im Basis-FF eigentlich enthalten sein sollten. Ohne die wird FF allmählich überflüssig. Ich habe es langsam satt, auf meinem sehr schnellen Rechner 5 Sekunden und länger auf den Start von FF zu warten, hunderte von MB Speicher zu verschwenden (Edge und Opera verbrauchen einen Bruchteil davon) und dann noch immer mehr bevormundet zu werden, welche Erweitungen ich nun benutzen DARF und welche nicht. Diese Arroganz ist allmählich nicht mehr zu ertragen. Wenn sich da nichts weiter tut, wird mit Version 57 für mich Schluss sein.
Die Bewertung mit 5 Sternen bezieht sich selbstredend nur auf diese rweiterung, nicht auf Firefox.

Lazarus was my favorite also. Rated 5 out of 5 stars

I used Lazarus for a long time and it saved me a lot of times. I'm tired of FF who removes time by time all my favorite add-ons with every update , who b.t.w makes my computer slower and slower and let it crash every day. I try to install now the 52.3.0 and close the update possibility. FF was once a user friendly browser but isn't anymore. Go back to that time FF and listen to your users !!!!

A lifesaver many times Rated 4 out of 5 stars

Please please please please please make this compatible with Firefox 57+!

(It also slows my system badly, and when in a slow internet area as well, this forces me to disable Lazarus. Not noticeable when things are zippy anyway.)

Rated 5 out of 5 stars

Ok

Rated 5 out of 5 stars

Good

Please make Firefox compatible with Lazarus again! Rated 5 out of 5 stars

This little extension has been in my firefox for years, ever since I first discovered it - it really IS a lifesaver! I was shocked when I realised that Firefox started reporting it hasn't been compatible with for a while now. Please, please update it so that we could use it again! I'd gladly donate as much as I can.

Crowdfunding to port Lazarus to Firefox 57+ Rated 5 out of 5 stars

Lazarus has saved me lots of time on countless occasions.

There is now an effort to port this plugin to WebExtensions via a Crowdfunding campaign, so that it can be used on newer versions of Firefox:

* https://github.com/lazarus-recovery/original_ff/issues/2#issuecomment-327317266
* https://www.reddit.com/r/firefox/comments/6yezci/crowdfunding_to_bring_back_lazarus_recovery_with/

Lazarus can still be used with v52.x.x ESR Rated 4 out of 5 stars

For anyone who still wants to use this extension, I recommend that you stick to the ESR (Extended Support) branch of 52.x.x. That branch is still being updated with security patches for the time being. How long that will continue is unknown by me but there was a very recent update to 52.3.0 which I am using ATM. That was updated since I Iast downloaded so it is receiving updates.

If you sandbox your browser then it would not really matter as nothing can get onto your system which is the best method to use web facing applications IMO.

Therefore, at least for the moment, you can still use Lazarus if you wish to. But Mozilla is still denying the download to v52 Firefox builds unless you stop scripting using something like uMatrix. The release details does say that Lazarus is only compatible with 3.0 to 15 therefore v52+ is doing quite well IMO.

This user has 3 previous reviews of this add-on.

Excelente extensão Rated 5 out of 5 stars

Muito boa!

Please update it. Rated 5 out of 5 stars

Dear Seth Wagoner
Please update this.
it was somehow partly working till now, but with ff55, it has been rendered totally incompatible and automatically disabled.

It is a life saver add-on for site posting.

Thanks.
--
Rawat
India

This user has 2 previous reviews of this add-on.

update/alternativ Rated 3 out of 5 stars

i wish updates or a another adon that recover old form.
it was a great adon to recover lost forms

always reminds me of diablo Rated 5 out of 5 stars

one of the top FF life(time) savers

Try This (Can't say if Lazarus works just yet but...) Rated 5 out of 5 stars

about:config
New, Boolean
Name: extensions.checkCompatibility.54.0
or 55.0 or XX.0
Value: false
and update every major version change

or better, get this extension working.

https://addons.mozilla.org/en-US/firefox/addon/checkcompatibility/?src=ss

problem is you can't dl that addon as it doesn't work with version.. well you know. Either visit the url with chrome and right click save as or inspect not the greyed out button but the tiny area above it, then extract the link with the .xpi in it.